Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-02-09 08:00:16 +0000
committerDavid Williams2013-02-09 08:00:16 +0000
commit237347222aa350ed80a3b31075237264449d8063 (patch)
treec22f099a2674a79e3f193b70c70eac7df9321fae /production/get-aggregator.sh
parenteb2b9c81e3018dcf1ad4ff07f4e94ba6407bfa3f (diff)
downloadeclipse.platform.releng.aggregator-237347222aa350ed80a3b31075237264449d8063.tar.gz
eclipse.platform.releng.aggregator-237347222aa350ed80a3b31075237264449d8063.tar.xz
eclipse.platform.releng.aggregator-237347222aa350ed80a3b31075237264449d8063.zip
Bug 394293 - [CBI] launch the tests
Diffstat (limited to 'production/get-aggregator.sh')
-rw-r--r--production/get-aggregator.sh13
1 files changed, 7 insertions, 6 deletions
diff --git a/production/get-aggregator.sh b/production/get-aggregator.sh
index 4a62d6eae..13cd17d6d 100644
--- a/production/get-aggregator.sh
+++ b/production/get-aggregator.sh
@@ -24,26 +24,27 @@ source "$1"
cd $BUILD_ROOT
# derived values
-gitCache=$( fn-git-cache "$BUILD_ROOT" "$BRANCH" )
+gitCache=$( fn-git-cache "$BUILD_ROOT" "${BRANCH}" )
aggDir=$( fn-git-dir "$gitCache" "$AGGREGATOR_REPO" )
signingDir=$( fn-git-dir "$gitCache" "$SIGNING_REPO" )
if [ -r "$aggDir" ]; then
- fn-git-clean-aggregator "$aggDir" "$BRANCH"
+ fn-git-clean-aggregator "$aggDir" "${BRANCH}"
pushd "$aggDir"
fn-git-pull
fn-git-submodule-update
popd
else
fn-git-clone-aggregator "$gitCache" \
- $(fn-local-repo "$AGGREGATOR_REPO") "$BRANCH"
+ $(fn-local-repo "$AGGREGATOR_REPO") "${BRANCH}"
fi
pushd "$aggDir"
# save current hash tag value for documenting build (e.g. to reproduce, run tests, etc.)
-AGGR_HASH=$( git show-ref --hash --verify refs/remotes/origin/$BRANCH )
-checkForErrorExit $? "git show-ref --hash failed for refs/remotes/origin/$BRANCH. Not valid ref?"
-fn-write-property AGGR_HASH
+EBUILDER_HASH=$( git show-ref --hash --verify refs/remotes/origin/${BRANCH} )
+checkForErrorExit $? "git show-ref --hash failed for refs/remotes/origin/${BRANCH}. Not valid ref?"
+# remember, literal name as argument ... its defrefernced in function
+fn-write-property EBUILDER_HASH
popd
echo "signingDir: $signingDir"

Back to the top